%define name gftp
%define version 2.0.4
%define release 1
%define prefix /usr

Summary: A multi-threaded FTP client for the X Window System.

Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Applications/Internet
Url: http://gftp.seul.org/
Source: %{name}-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root
Requires: gtk+ >= 1.2.0

%changelog
* Fri Sep 3 1999 Elliot Lee <sopwith@redhat.com>
- Upgrade to the full 2.0.4 release. (Yes, pre1 fixed that bug.)

* Wed Sep 1 1999 Elliot Lee <sopwith@redhat.com>
- Try 2.0.4pre1 to see if it fixes bug #4700.

* Thu Jul  8 1999 Michael Fulbright <drmike@redhat.com>
- version 2.0.3

* Wed Jul  7 1999 Michael Fulbright <drmike@redhat.com>
- bumped to version 2.0.2

* Wed Mar 31 1999 Michael Fulbright <drmike@redhat.com>
- version 1.13

* Tue Mar 30 1999 Michael Fulbright <drmike@redhat.com>
- patch to fix a segfault reported by Chris Evans <chris@ferret.lmh.ox.ac.uk>

* Tue Feb 16 1999 Michael Fulbright <drmike@redhat.com>
- version 1.12

* Wed Feb 10 1999 Michael Fulbright <drmike@redhat.com>
- first attempt at spec file

%description
gFTP is a multi-threaded FTP client for the X Window System. gFTP
supports simultaneous downloads, resumption of interrupted file
transfers, file transfer queues to allow downloading of multiple
files, support for downloading entire directories/subdirectories, a
bookmarks menu to allow quick connection to FTP sites, caching of
remote directory listings, local and remote chmod, drag and drop, a
connection manager and much more.

Install gftp if you need an FTP client.  You'll also need to install
GTK+ 1.2.3 or higher and X11R6.

%prep
%setup -q

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
#
# msf - have to make this because make install will fail otherwise
#
mkdir -p $RPM_BUILD_ROOT%{prefix}
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Internet

make PREFIX=$RPM_BUILD_ROOT%{prefix} install

%files
%doc  README TODO CHANGELOG COPYING COPYING.LIB eplf.txt rfc959.txt
%attr(755,root,root) %{prefix}/bin/gftp
%{prefix}/share/gnome/apps/Internet/gftp.desktop
%{prefix}/share/gftp

%clean
rm -r $RPM_BUILD_ROOT


